## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global pypi_name pytest-sanic

Name:           python-%{pypi_name}
Version:        1.9.1
Release:        %autorelease
Summary:        Pytest plugin for Sanic

License:        ASL 2.0
URL:            https://github.com/yunstanford/pytest-sanic
Source0:        %{pypi_source}

BuildArch:      noarch

%description
A pytest plugin for Sanic. It helps you to test your code asynchronously 
very easy testing with async coroutines, common and useful fixtures, 
asynchronous fixture support, test_client/sanic_client and a test_server.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-async-generator
BuildRequires:  python3-httpx
BuildRequires:  python3-pytest
BuildRequires:  python3-websockets
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A pytest plugin for Sanic. It helps you to test your code asynchronously 
very easy testing with async coroutines, common and useful fixtures, 
asynchronous fixture support, test_client/sanic_client and a test_server.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%py3_check_import pytest_sanic

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/pytest_sanic/
%{python3_sitelib}/pytest_sanic-%{version}-py%{python3_version}.egg-info/

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 16 2022 Python Maint <python-maint@redhat.com> 1.9.1-2
- Rebuilt for Python 3.11

* Sun Mar 06 2022 Fabian Affolter <mail@fabian-affolter.ch> 1.9.1-1
- Update to latest upstream release 1.9.1 (closes rhbz#2017139)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 10 2021 Miro Hrončok <miro@hroncok.cz> 1.8.1-2
- Allow websockets 10 with Python 3.10 support, run smoke import test

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> 1.8.1-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.8.1-1 -
  Update to latest upstream release 1.8.1 (closes rhbz#1962470)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 1.7.0-2
- Rebuilt for Python 3.10

* Sat Feb 27 2021 Fabian Affolter <mail@fabian-affolter.ch> 1.7.0-1
- * Sat Feb 27 2021 Fabian Affolter <mail@fabian-affolter.ch> - 1.7.0-1 -
  Update to new upstream release 1.7.0 (#1933393)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 1.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Sep 26 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.6.2-1
- * Sat Sep 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.2-1 -
  Update to new upstream release 1.6.2 (#1882883)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 27 2020 Fabian Affolter <mail@fabian-affolter.ch> 1.6.1-1
- * Sat Jun 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 1.6.1-1 -
  Initial package for Fedora
